Package org.drinkless.tdlib

# Class TdApi.StoryInteraction

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StoryInteraction

Enclosing class:
  `TdApi`

public static class TdApi.StoryInteraction extends TdApi.Object
Represents interaction with a story.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.MessageSender`
  `actorId`
  Identifier of the user or chat that made the interaction.
  `TdApi.BlockList`
  `blockList`
  Block list to which the actor is added; may be null if none or for chat stories.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `interactionDate`
  Approximate point in time (Unix timestamp) when the interaction happened.
  `TdApi.StoryInteractionType`
  `type`
  Type of the interaction.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoryInteraction()`
  Represents interaction with a story.
  `StoryInteraction(TdApi.MessageSender actorId, int interactionDate, TdApi.BlockList blockList, TdApi.StoryInteractionType type)`
  Represents interaction with a story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### actorId

    public TdApi.MessageSender actorId
    Identifier of the user or chat that made the interaction.

  - ### interactionDate

    public int interactionDate
    Approximate point in time (Unix timestamp) when the interaction happened.

  - ### blockList

    @Nullable public TdApi.BlockList blockList
    Block list to which the actor is added; may be null if none or for chat stories.

  - ### type

    public TdApi.StoryInteractionType type
    Type of the interaction.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StoryInteraction

    public StoryInteraction()
    Represents interaction with a story.

  - ### StoryInteraction

    public StoryInteraction(TdApi.MessageSender actorId, int interactionDate, TdApi.BlockList blockList, TdApi.StoryInteractionType type)
    Represents interaction with a story.
    Parameters:
      `actorId` - Identifier of the user or chat that made the interaction.
      `interactionDate` - Approximate point in time (Unix timestamp) when the interaction happened.
      `blockList` - Block list to which the actor is added; may be null if none or for chat stories.
      `type` - Type of the interaction.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR